Last Comment Bug 545172 - --enable-tests on all our Builders by default
: --enable-tests on all our Builders by default
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.1b1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 394502 537090 539355
Blocks: 601113
  Show dependency treegraph
 
Reported: 2010-02-09 10:55 PST by Serge Gautherie (:sgautherie)
Modified: 2010-10-03 22:07 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) --enable-tests on Nightlies and Releases (4.76 KB, patch)
2010-10-01 12:25 PDT, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review
(Av1a) --enable-tests on Nightlies and Releases (6.04 KB, patch)
2010-10-01 12:45 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-02-09 10:55:55 PST
Bug 539355 comment 16:
{
http://hg.mozilla.org/build/buildbot-configs/rev/3c518cc26451
Robert Kaiser — hrm, we can't support tests in nightly and release builds atm,
as those are static, and building tests fails in that configuration :(
}
Comment 1 Serge Gautherie (:sgautherie) 2010-10-01 12:21:25 PDT
Iiuc, this can be done now that bug 394502 is fixed, can't it?
Comment 2 Serge Gautherie (:sgautherie) 2010-10-01 12:25:53 PDT
Created attachment 480205 [details] [diff] [review]
(Av1) --enable-tests on Nightlies and Releases

This should allow us package and upload tests, as Firefox do.
(Even if they are not automatically run.)
Comment 3 Serge Gautherie (:sgautherie) 2010-10-01 12:45:04 PDT
Created attachment 480215 [details] [diff] [review]
(Av1a) --enable-tests on Nightlies and Releases

Av1, with explicit config for 'linux' too.

Unexpectedly, 'linux' already had implicit --enable-tests :-|
Comment 4 Justin Wood (:Callek) 2010-10-01 21:33:21 PDT
Interesting: http://hg.mozilla.org/build/buildbot-configs/file/1bfaa46dd34c/seamonkey/config.py

Indicates that all our Opt builds package-tests, and our debug builds don't. But this should fix us, aiui.

Pushed: http://hg.mozilla.org/build/buildbot-configs/rev/55cecfc497da

to get us green nightlies tonight [minus different OSX PPC issue]
Comment 5 Justin Wood (:Callek) 2010-10-01 21:46:24 PDT
(In reply to comment #4)
> Indicates that all our Opt builds package-tests, and our debug builds don't.
> But this should fix us, aiui.

For posterity, looking a bit further shows the factory itself enables packageTests for debug.
Comment 6 Serge Gautherie (:sgautherie) 2010-10-01 22:44:22 PDT
(In reply to comment #4)
> Indicates that all our Opt builds package-tests [...]
> But this should fix us, aiui.

Ftr, see bug 601113 comment 9 discussion.
Comment 7 Robert Kaiser (not working on stability any more) 2010-10-02 09:19:44 PDT
And this patch is WRONG as --enable-tests is default and therefore should be LEFT OUT!
Comment 8 Robert Kaiser (not working on stability any more) 2010-10-02 09:21:42 PDT
(In reply to comment #3)
> Unexpectedly, 'linux' already had implicit --enable-tests :-|

Oh, and that was not unexpected, this was fully intentional, but you guys didnt leave me time to r- the patch here :(
Comment 9 Robert Kaiser (not working on stability any more) 2010-10-02 09:43:18 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > Indicates that all our Opt builds package-tests, and our debug builds don't.
> > But this should fix us, aiui.
> 
> For posterity, looking a bit further shows the factory itself enables
> packageTests for debug.

Right, we actually run packaged tests there, which enables packaging them automatically anyhow.
Comment 10 Justin Wood (:Callek) 2010-10-02 12:54:52 PDT
(In reply to comment #7)
> And this patch is WRONG as --enable-tests is default and therefore should be
> LEFT OUT!

Well not necessarily WRONG, just unnecessary.

(In reply to comment #8)
> (In reply to comment #3)
> > Unexpectedly, 'linux' already had implicit --enable-tests :-|
> 
> Oh, and that was not unexpected, this was fully intentional, but you guys didnt
> leave me time to r- the patch here :(

I wasn't sure how active you'd be in your first weekend in MV, so I didn't want to presume you would get to this, and I surely wanted nightlies running. [sorry]
Comment 11 Serge Gautherie (:sgautherie) 2010-10-03 20:36:17 PDT
(In reply to comment #7)
> And this patch is WRONG as --enable-tests is default and therefore should be
> LEFT OUT!

In bug 539355, you wrote
first
"My target is to be as near as possible to Firefox configs"
then
"we probably will remove explicit --enable-tests completely in the end, the
fewer options in mozconfig, the better"
(which are somewhat contradictory, initially)

As Firefox and our other builds do have explicit '--enable-tests', I chose the former solution.


(In reply to comment #8)
> Oh, and that was not unexpected, this was fully intentional, but you guys didnt
> leave me time to r- the patch here :(

Maybe "fully intentional", but not self-explaining why 'linux' only, especially when removal was _silently_ merged into bug 599530 (check-in)!

And I did request review from you, exactly for all these points.!.


***

Then, this patch did fix what we wanted and didn't break anything, afaik.
So, a much nicer comment would have been to just say that you preferred to make this option implicit from now on and ask me to simply do that (afterward).

Do you want me to do the latter now?

***

V.Fixed per
/pub/seamonkey/nightly/2010/10/2010-10-03-01-comm-central-trunk
seamonkey-2.1b1pre.en-US.win32.tests.zip
Comment 12 Robert Kaiser (not working on stability any more) 2010-10-03 22:07:45 PDT
Forget it, I don't have time for useless debates.

Note You need to log in before you can comment on or make changes to this bug.